import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
part 'phone_num_model.g.dart';


@JsonSerializable()
class PhoneNumModel extends Equatable{
  final String num;
  final int time;
  final String name;
    factory PhoneNumModel.fromJson(Map<String, dynamic> json) =>_$PhoneNumModelFromJson(json);


  const PhoneNumModel({
    required this.name,
    required this.num,
    required this.time,
  });
  @override
  List<Object?> get props => [num,time,name];
}