import 'package:call_log/call_log.dart';
import 'package:flutter/material.dart';
import 'package:project_telephony/ui/widget/plone_bottom.dart';
import 'package:project_telephony/utils/headers.dart';
import 'package:flutter_easyrefresh/easy_refresh.dart';

import '../../../../model/phone_num_model.dart';

class CallRecordsList extends StatefulWidget {
  const CallRecordsList({Key? key}) : super(key: key);

  @override
  _CallRecordsListState createState() => _CallRecordsListState();
}

class _CallRecordsListState extends State<CallRecordsList> {
  List<PhoneNumModel> phoneNum = [];
  final EasyRefreshController _easyRefreshController = EasyRefreshController();
  List a = [];
  int b = 0;

  @override
  void dispose() {
    _easyRefreshController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return
      Expanded(
        child: EasyRefresh(
      firstRefresh: true,
      header: MaterialHeader(),
      onRefresh: () async {},
      child: ListView.builder(itemBuilder: (context, index) {
        return _getBox(phoneNum[index]);
      }),
    ));
    // Column(
    //   children: [
    //     Container(width: 750.w, height: 1000.w, child: Text("")
    //
    //         // ListView(
    //         //   children: [],
    //         // ),
    //         ),
    //     PloneBottom(onTap: () async {
    //       // Iterable<CallLogEntry> entries = await CallLog.get();
    //       final Iterable<CallLogEntry> entries = await CallLog.query();
    //       for (CallLogEntry entrie in entries) {
    //         a.add(entrie.number);
    //       }
    //       // var b = entries.length;
    //       print("通话记录条数$a");
    //     })
    //   ],
    // );
  }

_getBox(PhoneNumModel item){
    return ListTile(
      title: Text(item.num),
    );
}
}
